
# Anleitung zur Konfiguration des Mail-Sendeprozesses in OTOBO

Diese Anleitung zeigt, wie Sie den Mail-Sendeprozess im OTOBO-Dev-System konfigurieren. Die Konfiguration erfolgt über diese [Konfigurationsseite](https://devsupport.xsense.ch/otobo/index.pl?Action=AdminSystemConfigurationGroup;RootNavigation=Core::Email) der OTOBO-Applikation. Nachfolgend finden Sie die Schritte, die erforderlich sind, um die SMTP-Einstellungen korrekt einzurichten.

---

## 1. Administrator-E-Mail konfigurieren
- Tragen Sie unter **AdminEmail** die E-Mail-Adresse des administratorkonto des Otobo Systems (root) ein.
  - In unserem Fall: `support-dev@xsense.ch`


---


## 2. Absenderadresse für Benachrichtigungen festlegen
- Unter **NotificationSenderEmail** geben Sie die E-Mail-Adresse ein, die als Absenderadresse für Systembenachrichtigungen verwendet wird.
  - In unserem Fall: `support-dev@xsense.ch`

---

## 3. SendmailModule konfigurieren
- Navigieren Sie zu den Einstellungen für das **SendmailModule**.
- Wählen Sie die Option **Kernel::System::Email::SMTPTLS**, wie im Screenshot dargestellt.

**Erklärung:**
- **DoNotSendEmail**: Diese Option deaktiviert den Mailversand komplett und sendet keine E-Mails.
- **Sendmail**: Verwendet die sendmail-Binärdatei Ihres Betriebssystems für den E-Mail-Versand.
- **SMTP-Mechanismen (z. B. SMTPTLS)**: Verwenden einen spezifischen Mailserver, um E-Mails zu versenden. Diese Option ist erforderlich, wenn externe Mailserver (wie Office365 oder Gmail) verwendet werden.


---



## 4. Authentifizierung einrichten
- Füllen Sie die folgenden Felder aus:
  - **SendmailModule::AuthUser**: Geben Sie die Benutzer-E-Mail ein, die für die Authentifizierung verwendet wird.
    - In unserem Fall: `support-dev@xsense.ch`
  - **SendmailModule::AuthPassword**: Tragen Sie das Passwort für das oben angegebene E-Mail-Konto ein. (ist im Keepass zu finden)

**Erklärung:** Diese Informationen werden verwendet, um sich am SMTP-Server zu authentifizieren, falls dieser eine Authentifizierung erfordert.

---

## 5. SMTP-Port konfigurieren
- Stellen Sie sicher, dass der richtige Port unter **SendmailModule::Port** eingetragen ist. (sollte Default Sein)
  - Standardwert für Office365: `587`

**Erklärung:** Der Port definiert, über welchen Eingang der Mailserver erreicht werden kann. Port 587 wird typischerweise für E-Mails mit TLS-Verschlüsselung verwendet.

---

## 6. SMTP-Host einstellen
- Navigieren Sie zur Konfigurationsseite für die E-Mail-Einstellungen.
- Geben Sie unter **SendmailModule::Host** den SMTP-Server ein.
  - In unserem Fall: `smtp.office365.com`

**Erklärung:** Der Hostname spezifiziert den Mailserver, der für das Versenden von E-Mails verwendet wird.

---


## 7. Systemadresse konfigurieren
- Navigieren Sie zu **/otobo/index.pl?Action=AdminSystemAddress**.
- Tragen Sie dort anstlle der default E-Mail-Adresse(root@localhost), das gewünschte sende konto ein.
  - In unserem Fall: `support-dev@xsense.ch`

**Erklärung:** Diese Adresse wird von OTOBO als Standardabsender für ausgehende E-Mails verwendet. Es ist wichtig, dass die Adresse korrekt konfiguriert ist, damit der Versand reibungslos funktioniert.

---


## Vollständige Konfiguration Dev System
| Einstellung                   | Wert                        |
|-------------------------------|-----------------------------|
| SendmailModule::Host          | `smtp.office365.com`       |
| SendmailModule::Port          | `587`                      |
| SendmailModule::AuthUser      | `support-dev@xsense.ch`    |
| SendmailModule::AuthPassword  | `********`                 |
| NotificationSenderEmail       | `support-dev@xsense.ch`    |
| AdminEmail                    | `support-dev@xsense.ch`    |
| System-E-Mail-Adresse         | `support-dev@xsense.ch`    |
| SendmailModule                | `SMTPTLS`                  |